/*
 * This code is part of the CPISync project developed at Boston University:
 *      {@link http://nislabcpi.bu.edu/cpisync}
 * 
 * The code, explanation, references, API, and a demo can be found on this
 * web page.  The main theoretical basis for the approach can be found at
 * {@link http://ipsit.bu.edu/documents/ieee-it3-web.pdf}
 *   Y. Minsky, A. Trachtenberg, and R. Zippel,
 *   "Set Reconciliation with Nearly Optimal Communication Complexity",
 *   IEEE Transactions on Information Theory, 49:9.
 * 
 * Elements of the CPISync project code have been worked on, at various points, by:
 * @author Ari Trachtenberg
 * @author Sachin Agarwal 
 * @author Paul Varghese
 * @author Jiaxi Jin
 * @author Jie Meng
 * @author Alexander Smirnov
 * @version 2.01, 11/20/2013
 */

#ifndef CPISYNC_EXISTINGCONNECTION_H
#define	CPISYNC_EXISTINGCONNECTION_H

#include <string>
#include "CPISync.h"

class CPISync_ExistingConnection : public CPISync {
public:
   // Duplicate the CPISync constructors, but set the noHash flag to true
    CPISync_ExistingConnection(long m_bar, long bits, int epsilon, int redundant=0) : CPISync(m_bar, bits, epsilon, redundant, false)
    { hashQ=false; keepAlive = true; SyncID = SYNCTYPE_CPISync_ExistingConnection; }
    
    string getName() {return CPISync::getName() + "   * assuming an existing connection\n";}
};

#endif	/* CPISYNC_EXISTINGCONNECTION_H */

